
# CLC Debian

A preseed file and simple server to configure a Debian 10 installation.


## Usage/Examples

1. Copy the passwd cfg file to .passwd.cfg.

```bash
cp passwd.cfg .passwd.cfg
```

2. Edit the .passwd.cfg file with crypt(3) hashes for the root and user passwords

EX.
```bash
mkpasswd NotARealPassword

#OUTPUT
12E0SEasyb0vk

#.passwd.cfg
roothash=12E0SEasyb0vk
userhash=12E0SEasyb0vk
```

3. Run the preseedserver.sh file

This requires root to put the python http server on port 80

```bash
sudo ./preseedserver.sh
```

4. Run the Debian installer on your target system and point the auto installer to http://YOURSERVERIP/preseed.cfg

